# Chaos Mesh Adopters

Chaos Mesh now has over 40 adopters, here we have listed some of them. Some have already gone into production, and others are at various stages of testing.

If you are an adopter and are willing to share your Chaos Mesh story, feel free to raise a PR against this file!

## End users

| Organization                                                  |Use case                                                    |  Details                                       |
| ------------------------------------------------------------- | ------------------------------------------------------- | ---------------------------------------------- |
| [Authzed](http://authzed.com/)                  |Uses `TimeChaos` to fake vDSO time calls to test SpiceDB.              |[How SpiceDB uses Chaos Mesh to verify protection](https://youtu.be/3rjWxgdtBTw)        |
| [ByteDance](https://bytedance.com/en/)                  |ByteDance's self-developed chaos engineering platform is mainly used by the company's own technology system. As there are cloud-native deployment services involved, ByteDance integrates Chaos Mesh as the underlying fault injection engine, which is a key supplement to ByteDance’s chaos engineering platform.            | To be added.       |
| [DataStax](https://www.datastax.com/)                  |DataStax utilized Chaos Mesh to create a tool for running local or large scale remote based distributed correctness, verification and performance tests: [Fallout](https://github.com/datastax/fallout), which they use to test AstraDB, a multi-cloud DBaaS built on Apache Cassandra.            | [Leveraging Chaos Mesh in AstraDB Testing](https://youtu.be/Kw7gMurHJnQ)       |
| [KingNet](https://www.kingnet.com/)                  |KingNet uses Chaos Mesh for testing the availability of multiple data centers and microservice links. Chaos Mesh also helps them with mocking service unavailability or abnormal network conditions.            |To be added.       |
| [NetEase Fuxi Lab](https://fuxi.163.com/en/about.html)                  |Uses Chaos Mesh to improve the stability of their internal hybrid cloud. In addition, their users with cloud platforms also access Chaos Mesh to test the stability of user services.            |[How a Top Game Company Uses Chaos Engineering to Improve Testing](https://chaos-mesh.org/blog/how-a-top-game-company-uses-chaos-engineering-to-improve-testing)       |
| [Percona](https://www.percona.com/)                  |Percona uses Chaos Mesh to test their Percona Kubernetes Operators, which is used to deploy their own Database-as-Service.            |[Chaos Mesh to Create Chaos in Kubernetes](https://www.percona.com/blog/2020/11/05/chaosmesh-to-create-chaos-in-kubernetes/)       |
| [PingCAP](https://en.pingcap.com/)                  |Built [TiPocket](https://github.com/pingcap/tipocket) ontop of Chaos Mesh, an automated testing framework to build a full Chaos Engineering testing loop for TiDB, a distributed database.            |[Building an Automated Testing Framework Based on Chaos Mesh and Argo](https://chaos-mesh.org/blog/building_automated_testing_framework/)       |
| [Qiniu Cloud](https://qiniu.com/en)                  |To ensure the reliability of cloud storage products, they use Chaos Mesh to perform chaos tests on metadata and the underlying storage system under conditions such as: single point of failure of services, network abnormality, abnormal resource consumption (CPU, memory, I/O), etc.            |To be added.       |
| [Tencent](https://www.tencent.com/en-us)                  |After Tencent Interactive Entertainment migrated their online operations to the Tencent Cloud Kubernetes engine, they wished to provide users with a more stable and reliable experience, which is why they introduced Chaos Mesh. Tencent mainly use Chaos Mesh to simulate the following types of failures: fault isolation, service degradation, verification of services.            |[Securing Online Gaming: Combine Chaos Engineering with DevOps Practices](https://chaos-mesh.org/blog/Securing-Online-Gaming-Combine-Chaos-Engineering-with-DevOps-Practices/)       |
| [Xpeng](https://en.xiaopeng.com/)                  |Xpeng Motors use Chaos Mesh in the following scenarios: rolling updates of microservices and lossless verification of traffic; microservices, multi-registries, multi-party synchronization, and traffic lossless verification; MQTT cluster two-way subscription verification; exactly-once consumer business verification for message queues;simulation of weak 4G network for in-vehicle systems, saving drive test costs; AIOPS anomaly detection dataset generation.            |To be added.       |

## Vendors

| Organization                                                  |  Use case                                                    |  Details                                       |
| ------------------------------------------------------------- | ------------------------------------------------------- | ---------------------------------------------- |
| [Civo](https://github.com/civo/kubernetes-marketplace)                  |Chaos Mesh can be directly deployed from the Civo's Kubernetes marketplace.              |[Automating chaos engineering with Chaos Mesh](https://www.civo.com/learn/automating-chaos-engineering-with-chaos-mesh-on-civo)        |
| [KubeSphere](https://github.com/kubesphere/kubesphere)                  |Chaos Mesh can be directly deployed from the KubeSphere App Store starting from KubeSphere v2.3 onwards.              |To be added.        |
| [Microsoft](https://www.microsoft.com/)                  |Microsoft's Azure Chaos Studio integrated Chaos Mesh, so that users can inject faults into AKS clusters.             |[Create a chaos experiment that uses a Chaos Mesh fault to kill AKS pods](https://docs.microsoft.com/en-us/azure/chaos-studio/chaos-studio-tutorial-aks)       |